Skip to main content
POST
Upscale an image
Upscales one image. Costs 2 credits for 2k, 3 for 4k and 5 for 8k. Poll Poll image status with job.id.

Authorizations

Authorization
string
header
required

An Unsora API key (uns_…). A Clerk session token also works.

Body

application/json
imageUrl
string<uri>
required

Public URL of the image, for example from POST /uploads.

resolution
enum<string>
default:2k
Available options:
2k,
4k,
8k

Response

Job queued

success
boolean
required
job
object
required
creditsDeducted
integer
creditsRemaining
integer